<%@ page contentType="text/html; charset=utf-8"
         pageEncoding="utf-8" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<!DOCTYPE html>
<html>
<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="apple-mobile-web-app-capable" content="yes">
    <meta name="apple-mobile-web-app-status-bar-style" content="black">
    <meta name="format-detection" content="telephone=no">
    <meta http-equiv="X-UA-Compatible" content="IE=Edge,chrome=1">
    <meta name="renderer" content="webkit">
    <!-- 移动设备 viewport -->
    <meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0">
    <jsp:include page="../../common.jsp"/>

    <style>
        p img {
            width: 100%;
            height: 100%;
            object-fit:cover;
        }
    </style>
</head>
<body>
<div class="row animated fadeInRight" style="margin: 0;">
    <div class="wrapper wrapper-content mt5 right-content ml5 mr5">
        <table class="layui-hide" id="tab1" lay-filter="tab1"></table>
    </div>
</div>

<script type="text/html" id="toolbarDemo">
    <div class="layui-btn-container">
        <button class="layui-btn layui-btn-sm" lay-event="add">添加</button>
        <button class="layui-btn layui-btn-sm" lay-event="search">查询</button>
    </div>
</script>

<script type="text/html" id="barDemo">
    <a class="layui-btn layui-btn-xs" lay-event="view">查看</a>
    <a class="layui-btn layui-btn-xs" lay-event="edit">编辑</a>
    <a class="layui-btn layui-btn-danger layui-btn-xs" lay-event="del">删除</a>
</script>

<script>
    layui.use(['table', 'layer'], function () {
        var table = layui.table;
        var layer = layui.layer;

        var tableIns = table.render({
            elem: '#tab1'
            , url: '${ctx}/appGuide/page'
            , response: {
                statusName: 'code' //数据状态的字段名称，默认：code
                , countName: 'count' //数据总数的字段名称，默认：count
                , dataName: 'data' //默数据列表的字段名称，认：data
                , statusCode: 200
            }
            , parseData: function (res) { //res 即为原始返回的数据
                return {
                    "code": res.code, //解析接口状态
                    "msg": res.message, //解析提示文本
                    "count": res.data.count, //解析数据长度
                    "data": res.data.data //解析数据列表
                };
            }
            , toolbar: '#toolbarDemo' //开启头部工具栏，并为其绑定左侧模板
            , defaultToolbar: ['filter']
            , title: 'app引导内容数据表'
            , cols: [[
                {type: 'checkbox', fixed: 'left'}
                , {field: 'numbers', title: '序号', fixed: 'left', type: 'numbers'}
                , { field: 'code', title: '编码'}
                , { field: 'name', title: '页面名称'}
                , {
                    field: 'createTime',
                    title: '创建日期',
                    templet: "<div>{{layui.util.toDateString(d.createTime, 'yyyy-MM-dd HH:mm:ss')}}</div>"
                }
                , {
                    field: 'updateTime',
                    title: '修改日期'
                    // , width: 160
                    // ,templet: "<div>{{layui.util.toDateString(d.updateTime, 'yyyy-MM-dd HH:mm:ss')}}</div>"
                }
                , {fixed: 'right', title: '操作', minWidth: 110, toolbar: '#barDemo'}
            ]]
            , request: {
                pageName: 'current' //页码的参数名称，默认：page
                , limitName: 'size' //每页数据量的参数名，默认：limit
            }
            , page: true
        });

        //头工具栏事件
        table.on('toolbar(tab1)', function (obj) {
            switch (obj.event) {
                case 'add':
                    // 添加
                    toAdd();
                    break;
                case 'search':
                    // 查询
                    tableIns.reload();
                    break;
            }
        });

        //监听行工具事件
        table.on('tool(tab1)', function (obj) {
            var data = obj.data;
            switch (obj.event) {
                case 'del':
                    layer.confirm('真的删除行么?', function (index) {
                        obj.del(data);
                        layer.close(index);
                        del(obj);
                    });
                    break;
                case 'edit':
                    toAdd(obj.data);
                    break;
                case 'view':
                    layer.open({
                        type: 1
                        , title: "预览"
                        , content: data.content
                        , area: ['600px', '800px']

                    });
                    break;

            }
        });

        function toAdd(obj) {
            var url = '${ctx}/appGuide/add';
            if (obj != undefined) {
                url = "${ctx}/appGuide/edit/" + obj.id
            }
            var index = layer.open({
                type: 2
                , shade: 0.5
                , maxmin: true
                , content: url
                , area: ['800px', '600px']
            });
        }

        function del(obj) {
            $.ajax({
                url: '${ctx}/appGuide/delete',
                type: 'post',
                data: JSON.stringify(obj.data),
                dataType: 'JSON',
                contentType: "application/json",
                success: function (res) {
                    if (res.code == 200) {
                        layer.msg(res.data, {
                            icon: 1
                        });
                    } else {
                        layer.msg(res.data, {
                            icon: 5
                        });
                    }
                }
            })
        }
    });
</script>
</body>
</html>
